<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">

   <ejb-jar id="EJBJar_1028677735789">
      <description>Corp Domain</description>
      <display-name>Corp</display-name>
      <enterprise-beans>
         <entity id="ContainerManagedEntity_1028684908372">
            <description>Customer Entity Bean</description>
            <display-name>CustomerEnt</display-name>
            <ejb-name>CustomerEnt</ejb-name>
            <local-home>org.spec.jappserver.corp.customerent.ejb.CustomerEntHomeLocal</local-home>
            <local>org.spec.jappserver.corp.customerent.ejb.CustomerEntLocal</local>
            <ejb-class>org.spec.jappserver.corp.customerent.ejb.CustomerCmp20EJB</ejb-class>
            <persistence-type>Container</persistence-type>
            <prim-key-class>java.lang.Integer</prim-key-class>
            <reentrant>False</reentrant>
            <cmp-version>2.x</cmp-version>
            <abstract-schema-name>CustomerEnt</abstract-schema-name>
            <cmp-field id="CMPAttribute_1028684949091">
               <field-name>customerId</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684954749">
               <field-name>since</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684958274">
            	<field-name>balance</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684961068">
               <field-name>credit</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684963952">
            	<field-name>creditLimit</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684966726">
            	<field-name>ytdPayment</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684971253">
               <field-name>phone</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684975619">
               <field-name>zip</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684978683">
               <field-name>country</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684981788">
               <field-name>state</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684984191">
               <field-name>city</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684987015">
               <field-name>street2</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684989589">
               <field-name>street1</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684993805">
               <field-name>contact</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028684998031">
               <field-name>lastName</field-name>
            </cmp-field>
            <cmp-field id="CMPAttribute_1028685001516">
               <field-name>firstName</field-name>
            </cmp-field>
            <primkey-field>customerId</primkey-field>
            <env-entry id="EnvEntry_3">
               <description>The debug level of the bean - higher
		value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>0</env-entry-value>
            </env-entry>
            <ejb-local-ref id="EJBLocalRef_1042606944213">
            	<ejb-ref-name>ejb/CustomerInventoryEnt</ejb-ref-name>
            	<ejb-ref-type>Entity</ejb-ref-type>
            	<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
            	<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
            	<ejb-link>CustomerInventoryEnt</ejb-link>
            </ejb-local-ref>
         </entity>
         <session id="Session_1028684909444">
            <description>Corp Auditing Session Bean</description>
            <display-name>CorpAuditSes</display-name>
            <ejb-name>CorpAuditSes</ejb-name>
            <home>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSesHome</home>
            <remote>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSes</remote>
            <ejb-class>org.spec.jappserver.corp.corpauditses.ejb.CorpAuditSesEJB</ejb-class>
            <session-type>Stateless</session-type>
            <transaction-type>Container</transaction-type>
            <env-entry id="EnvEntry_4">
               <description>The debug level of the bean - higher
                value means more information.</description>
               <env-entry-name>debuglevel</env-entry-name>
               <env-entry-type>java.lang.Integer</env-entry-type>
               <env-entry-value>3</env-entry-value>
            </env-entry>
            <resource-ref id="ResourceRef_1028686651430">
               <description>Corp DB dataSource</description>
               <res-ref-name>CorpDataSource</res-ref-name>
               <res-type>javax.sql.DataSource</res-type>
               <res-auth>Container</res-auth>
            </resource-ref>
         </session>
         <session id="CustomerSes">
         	<display-name>CustomerSes</display-name>
         	<ejb-name>CustomerSes</ejb-name>
         	<home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHome</home>
         	<remote>org.spec.jappserver.corp.customerses.ejb.CustomerSes</remote>
         	<local-home>org.spec.jappserver.corp.customerses.ejb.CustomerSesHomeLocal</local-home>
         	<local>org.spec.jappserver.corp.customerses.ejb.CustomerSesLocal</local>
         	<ejb-class>org.spec.jappserver.corp.customerses.ejb.CustomerSesEJB</ejb-class>
         	<session-type>Stateless</session-type>
         	<transaction-type>Container</transaction-type>
         	<env-entry>
         		<env-entry-name>debuglevel</env-entry-name>
         		<env-entry-type>java.lang.Integer</env-entry-type>
         		<env-entry-value>0</env-entry-value>
         	</env-entry>
         	<ejb-local-ref id="EJBLocalRef_1042426866390">
         		<description></description>
         		<ejb-ref-name>ejb/CustomerEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.corp.customerent.ejb.CustomerEntHomeLocal</local-home>
         		<local>org.spec.jappserver.corp.customerent.ejb.CustomerEntLocal</local>
         		<ejb-link>CustomerEnt</ejb-link>
         	</ejb-local-ref>
         	<ejb-local-ref id="EJBLocalRef_1043639111726">
         		<description></description>
         		<ejb-ref-name>ejb/CustomerInventoryEntLocal</ejb-ref-name>
         		<ejb-ref-type>Entity</ejb-ref-type>
         		<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
         		<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
         		<ejb-link>CustomerInventoryEnt</ejb-link>
         	</ejb-local-ref>
         </session>
         <entity id="CustomerInventoryEnt">
         	<description>CustomerInventory Entity Bean</description>
         	<display-name>CustomerInventoryEnt</display-name>
         	<ejb-name>CustomerInventoryEnt</ejb-name>
         	<local-home>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocalHome</local-home>
         	<local>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryEntLocal</local>
         	<ejb-class>org.spec.jappserver.corp.customerinventoryent.ejb.CustomerInventoryCmp20EJB</ejb-class>
         	<persistence-type>Container</persistence-type>
         	<prim-key-class>java.lang.Integer</prim-key-class>
         	<reentrant>False</reentrant>
         	<cmp-version>2.x</cmp-version>
         	<abstract-schema-name>CustomerInventoryEnt</abstract-schema-name>
         	<cmp-field id="CMPAttribute_1042516191240">
         		<field-name>quantity</field-name>
         	</cmp-field>
         	<cmp-field id="CMPAttribute_1042607125544">
         		<field-name>id</field-name>
         	</cmp-field>
         	<cmp-field id="CMPAttribute_1042607133154">
         		<field-name>itemId</field-name>
         	</cmp-field>
         	<cmp-field id="CMPAttribute_1042611587570">
         		<field-name>customerId</field-name>
         	</cmp-field>
         	<cmp-field id="CMPAttribute_1043860447438">
         		<field-name>value</field-name>
         	</cmp-field>
         	<primkey-field>id</primkey-field>
         	<env-entry>
         		<env-entry-name>debuglevel</env-entry-name>
         		<env-entry-type>java.lang.Integer</env-entry-type>
         		<env-entry-value>0</env-entry-value>
         	</env-entry>
         	<ejb-ref id="EjbRef_1048872936829">
         		<description></description>
         		<ejb-ref-name>ejb/SequenceSes</ejb-ref-name>
         		<ejb-ref-type>Session</ejb-ref-type>
         		<home>org.spec.jappserver.util.sequenceses.ejb.SequenceSesHome</home>
         		<remote>org.spec.jappserver.util.sequenceses.ejb.SequenceSes</remote>
         		<ejb-link>util.jar#SequenceSes</ejb-link>
         	</ejb-ref>
         </entity>
      </enterprise-beans>
      <relationships>
      	<ejb-relation>
      		<description></description>
      		<ejb-relation-name>CustomerEnt-CustomerInventoryEnt</ejb-relation-name>
      		<ejb-relationship-role id="EJBRelationshipRole_1042606886690">
      			<ejb-relationship-role-name>customerent</ejb-relationship-role-name>
      			<multiplicity>Many</multiplicity>
      			<cascade-delete />
      			<relationship-role-source>
      				<ejb-name>CustomerInventoryEnt</ejb-name>
      			</relationship-role-source>
      			<cmr-field>
      				<cmr-field-name>customer</cmr-field-name>
      			</cmr-field>
      		</ejb-relationship-role>
      		<ejb-relationship-role id="EJBRelationshipRole_1042608022263">
      			<ejb-relationship-role-name>customerinventoryent</ejb-relationship-role-name>
      			<multiplicity>One</multiplicity>
      			<relationship-role-source>
      				<ejb-name>CustomerEnt</ejb-name>
      			</relationship-role-source>
      			<cmr-field>
      				<cmr-field-name>customerInventoryEnt</cmr-field-name>
      				<cmr-field-type>java.util.Collection</cmr-field-type>
      			</cmr-field>
      		</ejb-relationship-role>
      	</ejb-relation>
      </relationships>
      <assembly-descriptor id="AssemblyDescriptor_ID">
         <method-permission id="MethodPermission_1034210757906">
            <description>Generated unchecked method permission</description>
            <unchecked></unchecked>
            <method id="MethodElement_1034210757958">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getEJBMetaData</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210757959">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>getHomeHandle</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210757960">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>create</method-name>
               <method-params>
               </method-params>
            </method>
            <method id="MethodElement_1034210757961">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>java.lang.Object</method-param>
               </method-params>
            </method>
            <method id="MethodElement_1034210757962">
               <description>generatedAllMethodsDescription</description>
               <ejb-name>CorpAuditSes</ejb-name>
               <method-intf>Home</method-intf>
               <method-name>remove</method-name>
               <method-params>
                  <method-param>javax.ejb.Handle</method-param>
               </method-params>
            </method>
            <method>
            	<ejb-name>CustomerSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>create</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>CustomerSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>getEJBMetaData</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>CustomerSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>getHomeHandle</method-name>
            	<method-params></method-params>
            </method>
            <method>
            	<ejb-name>CustomerSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>remove</method-name>
            	<method-params>
            		<method-param>java.lang.Object</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerSes</ejb-name>
            	<method-intf>Home</method-intf>
            	<method-name>remove</method-name>
            	<method-params>
            		<method-param>javax.ejb.Handle</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>LocalHome</method-intf>
            	<method-name>create</method-name>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>LocalHome</method-intf>
            	<method-name>create</method-name>
            	<method-params>
            		<method-param>java.lang.Integer</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>LocalHome</method-intf>
            	<method-name>create</method-name>
            	<method-params>
            		<method-param>java.lang.Integer</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>LocalHome</method-intf>
            	<method-name>findByPrimaryKey</method-name>
            	<method-params>
            		<method-param>java.lang.Integer</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>LocalHome</method-intf>
            	<method-name>remove</method-name>
            	<method-params>
            		<method-param>java.lang.Object</method-param>
            	</method-params>
            </method>
            <method>
            	<ejb-name>CustomerInventoryEnt</ejb-name>
            	<method-intf>Local</method-intf>
            	<method-name>remove</method-name>
            	<method-params></method-params>
            </method>
         </method-permission>
         <container-transaction id="MethodTransaction_3">
            <method id="MethodElement_3">
               <ejb-name>CustomerEnt</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction id="MethodTransaction_4">
            <method id="MethodElement_4">
               <ejb-name>CorpAuditSes</ejb-name>
               <method-name>*</method-name>
            </method>
            <trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>CustomerSes</ejb-name>
         		<method-name>*</method-name>
         	</method>
         	<trans-attribute>Required</trans-attribute>
         </container-transaction>
         <container-transaction>
         	<method>
         		<ejb-name>CustomerInventoryEnt</ejb-name>
         		<method-name>*</method-name>
         	</method>
         	<trans-attribute>Required</trans-attribute>
         </container-transaction>
      </assembly-descriptor>
   </ejb-jar>
